# City Limits

<p align="center">
<img src="./icon.png">
<br>
<img alt="GitHub Workflow Status" src="https://img.shields.io/github/actions/workflow/status/tonytins/citylimits/godot.yml"> <img alt="GitHub" src="https://img.shields.io/github/license/tonytins/citylimits"> <img alt="GitHub commit activity" src="https://img.shields.io/github/commit-activity/w/tonytins/citylimits">
<hr>
</p>

CityLimits is an open source reimagining of SimCity Classic based on Godot. In the long run, I plan on adding on gameplay mechanics used in later iterations. Like it's cousin, everything learned in the making of CityLimits will go towards the building and customization that I've been itching to create.

## Features

While CityLimits plans to stick close to the classic SimCity formula as much as possible, I do plan to add in features introduced in later installments, as well as my own touches.

### Dice Mechanics

One of these unique touches and biggest difference is how random events are tackled. Instead of trying to dig through the Micropolis code, I'm going to streamline the process by using a simple D&D dice engine. So if you think the game rolled you a 1, it probably did. It's just easier to comprehend, like the desktop metaphor.


## Controls

| Key | Command |
| --- | --- |
| ``W`` ``A`` ``S`` ``D`` | Move camera |
| ``F`` | Camera to center |
| ``Middle mouse button`` | Hold to rotate camera |
| ``Left mouse button`` | Place building |
| ``DEL`` | Remove building |
| ``Right mouse button`` | Rotate building |
| ``Q`` ``E``  | Toggle between buildings |
| ``F1`` | Save |
| ``F2`` | Load |

## Authors

- **Tony Bark** - _Initial work_ - [tonytins](https://github.com/tonytins)
- **Maxis** - _Assets_ - [SimHacker](https://github.com/SimHacker/)
- **Font Awesome** - _Icons_ - [FortAwesome](https://github.com/FortAwesome)

See also the list of [contributors](https://github.com/tonytins/citylimits/contributors) who participated in this project.

## License

I license this project under the GPL-2.0-or-later license - see [LICENSE](LICENSE) for details.
